org.eclipse.viatra.query.patternlanguage.emf.validation

## Class PatternSetValidator

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.validation.PatternSetValidator

-     public class PatternSetValidator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternSetValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatternSetValidationDiagnostics` | `validate(java.util.Collection<Pattern> patternSet)` Returns the validation results of a collection of patterns
    `PatternSetValidationDiagnostics` | `validate(Pattern pattern)` Returns the validation results of a single pattern
    `PatternSetValidationDiagnostics` | `validate(org.eclipse.emf.ecore.resource.Resource resource)`
    `PatternSetValidationDiagnostics` | `validateTransitively(Pattern pattern)` Returns the validation results of a single pattern and all its (transitively )referenced patterns.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternSetValidator

          public PatternSetValidator()

  - ### Method Detail

    - #### validate

          public PatternSetValidationDiagnostics validate(org.eclipse.emf.ecore.resource.Resource resource)

    - #### validate

          public PatternSetValidationDiagnostics validate(Pattern pattern)

      Returns the validation results of a single pattern
      Parameters:
        `pattern` -
      Since:
        2.0

    - #### validateTransitively

          public PatternSetValidationDiagnostics validateTransitively(Pattern pattern)

      Returns the validation results of a single pattern and all its (transitively )referenced patterns.
      Parameters:
        `pattern` -
      Since:
        2.0

    - #### validate

          public PatternSetValidationDiagnostics validate(java.util.Collection<Pattern> patternSet)

      Returns the validation results of a collection of patterns
      Parameters:
        `patternSet` -